%global mod_name blinker

%{!?python3_pkgversion: %global python3_pkgversion 34}

Name:           python%{python3_pkgversion}-blinker
Version:        1.3
Release:        2%{?dist}
Summary:        Fast, simple object-to-object and broadcast signaling

Group:          Development/Libraries
License:        MIT
URL:            http://discorporate.us/projects/Blinker/
Source0:        http://pypi.python.org/packages/source/b/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
Blinker provides a fast dispatching system that allows any number 
of interested parties to subscribe to events, or "signals".

%prep
%setup -q -n %{mod_name}-%{version}

%build
%{__python3} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc docs/ CHANGES LICENSE README PKG-INFO
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{mod_name}

%changelog
* Thu Mar 30 2017 Martin Juhl <mj@casalogic.dk> - 1.3-1
- Initial Release of seperate python3 package

